import { AnyObject } from './types';
export declare const getKeyByUiSchemaType: (uischema: AnyObject, type: string) => string;
export declare const createSchema: ({ source, target, uischema, dataToTransform, }: {
    source: AnyObject;
    target: AnyObject;
    uischema: AnyObject;
    dataToTransform?: AnyObject | undefined;
}) => {
    schema: {
        type: string;
        properties: {
            [x: string]: {
                type: string;
                items: {
                    type: string;
                    required: string[];
                    properties: {
                        source: {
                            type: string;
                            title: any;
                            enum: AnyObject[];
                        };
                        target: {
                            type: string;
                            title: any;
                            enum: AnyObject[];
                        };
                    };
                };
            } | {
                type: string;
                items?: undefined;
            } | {
                type: string;
                items?: undefined;
            };
        };
    };
    data: {
        [x: string]: AnyObject | undefined;
        baseKeys: {
            objectMapKey: string;
            sourceTableKey: string;
            TransformedTableKey: string;
        };
    };
};
export declare const createRecipe: (data: AnyObject) => any;
export declare const transformData: (data: AnyObject, sourceData: AnyObject[]) => {}[] | undefined;
