declare type AnyObject = Record<string, any>;

declare const getKeyByUiSchemaType: (uischema: AnyObject, type: string) => string;
declare const createSchema: ({ source, target, uischema, dataToTransform, }: {
    source: AnyObject;
    target: AnyObject;
    uischema: AnyObject;
    dataToTransform?: AnyObject | undefined;
}) => {
    schema: {
        type: string;
        properties: {
            [x: string]: {
                type: string;
                items: {
                    type: string;
                    required: string[];
                    properties: {
                        source: {
                            type: string;
                            title: any;
                            enum: AnyObject[];
                        };
                        target: {
                            type: string;
                            title: any;
                            enum: AnyObject[];
                        };
                    };
                };
            } | {
                type: string;
                items?: undefined;
            } | {
                type: string;
                items?: undefined;
            };
        };
    };
    data: {
        [x: string]: AnyObject | undefined;
        baseKeys: {
            objectMapKey: string;
            sourceTableKey: string;
            TransformedTableKey: string;
        };
    };
};
declare const createRecipe: (data: AnyObject) => any;
declare const transformData: (data: AnyObject, sourceData: AnyObject[]) => {}[] | undefined;

declare const sdk_d_getKeyByUiSchemaType: typeof getKeyByUiSchemaType;
declare const sdk_d_createSchema: typeof createSchema;
declare const sdk_d_createRecipe: typeof createRecipe;
declare const sdk_d_transformData: typeof transformData;
declare namespace sdk_d {
  export {
    sdk_d_getKeyByUiSchemaType as getKeyByUiSchemaType,
    sdk_d_createSchema as createSchema,
    sdk_d_createRecipe as createRecipe,
    sdk_d_transformData as transformData,
  };
}

export { sdk_d as objectMap };
